Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ProgressBarAnimatedBackgroundImage

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.ProgressBarAnimatedBackgroundImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DAnimatedUserResource, org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

    public class ProgressBarAnimatedBackgroundImage

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.Java2DAnimatedUserResource, org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski

Constructor Summary
`ProgressBarAnimatedBackgroundImage()`

Method Summary
`int` | `getFrameDelay()`
`boolean` | `hasNextFrame()`
`void` | `initialize()`
`boolean` | `isLooped()`
`boolean` | `isTransient()`
`void` | `paint(java.awt.Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `startFramesSequence()`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.resource.Java2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Constructor Detail

### ProgressBarAnimatedBackgroundImage

    public ProgressBarAnimatedBackgroundImage()

Method Detail

### isLooped

    public boolean isLooped()

  Specified by:
    `isLooped` in interface `org.richfaces.resource.Java2DAnimatedUserResource`

### getFrameDelay

    public int getFrameDelay()

  Specified by:
    `getFrameDelay` in interface `org.richfaces.resource.Java2DAnimatedUserResource`

### startFramesSequence

    public void startFramesSequence()

  Specified by:
    `startFramesSequence` in interface `org.richfaces.resource.Java2DAnimatedUserResource`

### hasNextFrame

    public boolean hasNextFrame()

  Specified by:
    `hasNextFrame` in interface `org.richfaces.resource.Java2DAnimatedUserResource`

### initialize

    public void initialize()

### paint

    public void paint(java.awt.Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DAnimatedUserResource`
  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.